Bug 1179217 (kf5-baloo) - Review Request: kf5-baloo - A Tier 3 KDE Frameworks 5 module that provides indexing and search functionality
Summary: Review Request: kf5-baloo - A Tier 3 KDE Frameworks 5 module that provides in...
Keywords:
Status: CLOSED RAWHIDE
Alias: kf5-baloo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2015-01-06 12:59 UTC by Jan Grulich
Modified: 2015-01-20 13:43 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:43:33 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2015-01-06 12:59:24 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/kf5-baloo.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/kf5-baloo-5.1.2-2.fc21.src.rpm
Description: A Tier 3 KDE Frameworks 5 module that provides indexing and search functionality
Fedora Account System Username: jgrulich

Comment 1 Rex Dieter 2015-01-06 18:03:26 UTC
1.  this part in -devel
%{_kf5_datadir}/dbus-1/interfaces/org.kde.baloo.file.indexer.xml
looks like it SHOULD be in -file subpkg instead

naming: ok

sources: ok
a8ddea44b89176530b6598231ff89c43  baloo-5.1.2.tar.xz


2. SHOULD consider dropping -tools subpkg, these aren't big so why split them out?

scriptlets: NOT ok

3. main pkg contains
%{_kf5_datadir}/icons/hicolor/*/apps/baloo.png
MUST add icon cache scriptlets

macros: ok

4.  -devel subpkg uses deprecated Group: tag, SHOULD remove it

Comment 2 Jan Grulich 2015-01-07 10:05:13 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/kf5-baloo.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/kf5-baloo-5.1.2-3.fc21.src.rpm

- Drop -file subpkg
- Add icon cache scriptlets
- Remove deprecated Group: tag
- Move org.kde.baloo.file.indexer.xml to -file subpkg

Comment 3 Rex Dieter 2015-01-07 14:30:45 UTC
thanks, APPROVED


5. SHOULD fix changelog s/Drop -file subpkg/Drop -tools subpkg/  :)

Comment 4 Jan Grulich 2015-01-08 08:56:55 UTC
New Package SCM Request
=======================
Package Name: kf5-baloo
Short Description: A Tier 3 KDE Frameworks 5 module that provides indexing and search functionality
Upstream URL: https://projects.kde.org/projects/kde/kdelibs/baloo
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f20 f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-08 13:55:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.